Subject: [PATCH v5 1/5] ACPI: introduce CONFIG_ACPI_REDUCED_HARDWARE_ONLY to enforce this ACPI mode

From: [email-masked] (Al Stone)
Date: Thu, 09 Jan 2014 14:20:23 -0700

On 01/09/2014 10:38 AM, Catalin Marinas wrote:
> On 8 January 2014 12:46, Arnd Bergmann <[email-masked]> wrote:
>> On Wednesday 08 January 2014, al.stone at linaro.org wrote:
>>> Even though support for X86 in hardware reduced mode is possible, it
>>> is NOT enabled.  Extensive effort has gone into the Linux kernel so that
>>> there is a single kernel image than can run on all x86 hardware; the kernel
>>> changes run-time behavior to adapt to the hardware being used.  This is not
>>> currently possible with the existing ACPICA infrastructure but only presents
>>> a problem on achitectures supporting both hardware-reduced and legacy modes
>>> of ACPI -- i.e., on x86 only.
>>
>> Not sure about the logic here: While it's certainly possible to build a kernel
>> that runs on all x86 machines, it's also possible to build one that only
>> runs on some of them when some basic options are turned off. I don't see
>> any difference between that and what we have on ARM64 or the multiplatform
>> subset of ARM32.
>
> Would we ever need !CONFIG_ACPI_REDUCED_HARDWARE_ONLY on ARM or ARM64?
> If not, we could even make this always on for these archs.
>

Not that I know of -- and I would hope not.  This mode is so much
more straightforward that it makes no sense to me to do anything
but reduced HW if you have the choice.

I assume you were thinking of something like this in the arch Kconfig
file:

config ARM64
	....
	select ACPI_REDUCED_HARDWARE_ONLY if ACPI
	...

But, do let me know if you had something else in mind.  I think it does
make sense to add so I'll put this in the next version.

-- 
ciao,
al
-----------------------------------
Al Stone
Software Engineer
Red Hat, Inc.
ahs3 at redhat.com
-----------------------------------